<?php $__env->startSection('content'); ?>
    <main>

        <div class="container-fluid px-4">
            <h1 class="mt-4"><i class="fas fa-tree"></i> Farm</h1>
            <ul class="nav nav-tabs">
                <li class="nav-item">
                    <a class="nav-link active" href="<?php echo e(route('farm.index')); ?>"><i class="fas fa-tree"></i>farm</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link " href="<?php echo e(route('lease.index')); ?>"><i class="fas fa-coins px-1"></i>Farm Leases</a>
                </li>
                <?php if(Auth::user()->name =="Admin"): ?>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('farm-crop.index')); ?>"><i class="fas fa-leaf"></i>Farm Crop</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('register.index')); ?>"><i class="fas fa-book"></i>Farm Activities</a>
                    </li>
                    <!-- <li class="nav-item">
                        <a class="nav-link " href="<?php echo e(route('farm-tools-mapping.index')); ?>"><i class="fas fa-tools px-1"></i>Farm Tools</a>
                    </li> -->
                    <li class="nav-item">
                        <a class="nav-link " href="<?php echo e(route('farmUpload.index')); ?>"><i class="fas fa-upload px-1"></i>Farm Upload</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link " href="<?php echo e(route('note.index')); ?>"><i class="fas fa-pen"></i>Farm Notes</a>
                    </li>
                <?php endif; ?>
            </ul>

            <div class="row pt-3">
                <div class="col-xl-3 col-md-6">
                    <div class="card bg-dark text-white mb-4">
                        <div class="card-body"><a class="small text-white stretched-link" href="<?php echo e(route('farm.create')); ?>">
                            </a>Add farm</div>
                    </div>
                </div>
            </div>

            <div class="card mb-4">
                <div class="card-header">
                    <i class="fas fa-table me-1"></i>
                </div>
                <div class="card-body">
                    <table id="datatablesSimple">
                        <thead>
                        <tr>
                     

                            <th class="col-md-3"><i class="fas fa-pen me-1"></i>Name</th>
                  
                            <th class="col-md-3"><i class="fas fa-crop me-1"></i>size (Acres)</th>
                            <th class="col-md-3"><i class="fas fa-location me-1"></i>location</th>
                            <!-- <th class="col-md-1"><i class="fas fa-calendar-check me-1"></i>created on</th> -->
                            <th class="col-md-3"><i class="fas fa-hammer me-1"></i>Actions</th>
                        </tr>
                        </thead>
                        <tfoot>
                        <tr>
                      
                            <th class="col-md-3">Name</th>
                          
                            <th class="col-md-3">size</th>
                            <th class="col-md-3">location</th>

                            <!-- <th class="col-md-1">created on</th> -->
                            <th class="col-md-3">Actions</th>
                        </tr>
                        </tfoot>
                        <tbody>
                        <?php $__currentLoopData = $farms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $farm): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            
                            <td class="col-md-3"> 
                                <?php if($farm->status == 'NA'): ?>
                                <i class="fa fa-circle" style="color: red"></i>
                                <?php elseif($farm->status == 'Active'): ?>
                                <i class="fa fa-circle" style="color: green"></i>
                                <?php endif; ?>
                                
                                
                                <?php echo e($farm->name); ?></td>
                            <td class="col-md-3"><?php echo e($farm->size); ?></td>
                            <td class="col-md-3"><?php echo e($farm->location); ?></td>
                            <!-- <td class="col-md-1"><?php echo e($farm->created_on); ?></td> -->
                            <td class="col-md-3">

                            <?php if(Auth::user()->name =="Admin"): ?>
                                <a class="btn btn-primary" href="<?php echo e(route('farm.edit', $farm)); ?>"><i class="fas fa-edit"></i></a>
                                <a href="#" class="btn btn-danger delete-confirm"
                                    onclick="event.preventDefault(); if (confirm('Are you sure you want to delete?')) document.getElementById('delete-form-<?php echo e($farm->id); ?>').submit();">
                                    <i class="fas fa-trash"></i>Delete
                                </a>
                            <?php endif; ?>
                                <a class="btn btn-warning" href="<?php echo e(route('farm.show', $farm)); ?>"><i class="fas fa-eye px-lg-2"></i></a>
                               
                                <form id="delete-form-<?php echo e($farm->id); ?>" method="post" action="<?php echo e(route('farm.destroy', $farm)); ?>" style="display: none;">
                                    <?php echo csrf_field(); ?>
                                    <?php echo method_field('delete'); ?>
                                </form>
                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</main>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/kofeblpy/public_html/kofem/resources/views/farm/index.blade.php ENDPATH**/ ?>