<?php
/**
 * This file is part of the Cloudinary PHP package.
 *
 * (c) Cloudinary
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Cloudinary\Transformation\Argument;

use Cloudinary\Transformation\BaseArgument;

/**
 *  Defines the available named colors.
 *
 * @api
 */
class Color extends BaseArgument
{
    const SNOW                 = 'snow';
    const SNOW1                = 'snow1';
    const SNOW2                = 'snow2';
    const ROSYBROWN1           = 'rosybrown1';
    const ROSYBROWN2           = 'rosybrown2';
    const SNOW3                = 'snow3';
    const LIGHTCORAL           = 'lightcoral';
    const INDIANRED1           = 'indianred1';
    const ROSYBROWN3           = 'rosybrown3';
    const INDIANRED2           = 'indianred2';
    const ROSYBROWN            = 'rosybrown';
    const BROWN1               = 'brown1';
    const FIREBRICK1           = 'firebrick1';
    const BROWN2               = 'brown2';
    const INDIANRED            = 'indianred';
    const INDIANRED3           = 'indianred3';
    const FIREBRICK2           = 'firebrick2';
    const SNOW4                = 'snow4';
    const BROWN3               = 'brown3';
    const RED                  = 'red';
    const RED1                 = 'red1';
    const ROSYBROWN4           = 'rosybrown4';
    const FIREBRICK3           = 'firebrick3';
    const RED2                 = 'red2';
    const FIREBRICK            = 'firebrick';
    const BROWN                = 'brown';
    const RED3                 = 'red3';
    const INDIANRED4           = 'indianred4';
    const BROWN4               = 'brown4';
    const FIREBRICK4           = 'firebrick4';
    const DARKRED              = 'darkred';
    const RED4                 = 'red4';
    const LIGHTPINK1           = 'lightpink1';
    const LIGHTPINK3           = 'lightpink3';
    const LIGHTPINK4           = 'lightpink4';
    const LIGHTPINK2           = 'lightpink2';
    const LIGHTPINK            = 'lightpink';
    const PINK                 = 'pink';
    const CRIMSON              = 'crimson';
    const PINK1                = 'pink1';
    const PINK2                = 'pink2';
    const PINK3                = 'pink3';
    const PINK4                = 'pink4';
    const PALEVIOLETRED4       = 'palevioletred4';
    const PALEVIOLETRED        = 'palevioletred';
    const PALEVIOLETRED2       = 'palevioletred2';
    const PALEVIOLETRED1       = 'palevioletred1';
    const PALEVIOLETRED3       = 'palevioletred3';
    const LAVENDERBLUSH        = 'lavenderblush';
    const LAVENDERBLUSH1       = 'lavenderblush1';
    const LAVENDERBLUSH3       = 'lavenderblush3';
    const LAVENDERBLUSH2       = 'lavenderblush2';
    const LAVENDERBLUSH4       = 'lavenderblush4';
    const MAROON               = 'maroon';
    const HOTPINK3             = 'hotpink3';
    const VIOLETRED3           = 'violetred3';
    const VIOLETRED1           = 'violetred1';
    const VIOLETRED2           = 'violetred2';
    const VIOLETRED4           = 'violetred4';
    const HOTPINK2             = 'hotpink2';
    const HOTPINK1             = 'hotpink1';
    const HOTPINK4             = 'hotpink4';
    const HOTPINK              = 'hotpink';
    const DEEPPINK             = 'deeppink';
    const DEEPPINK1            = 'deeppink1';
    const DEEPPINK2            = 'deeppink2';
    const DEEPPINK3            = 'deeppink3';
    const DEEPPINK4            = 'deeppink4';
    const MAROON1              = 'maroon1';
    const MAROON2              = 'maroon2';
    const MAROON3              = 'maroon3';
    const MAROON4              = 'maroon4';
    const MEDIUMVIOLETRED      = 'mediumvioletred';
    const VIOLETRED            = 'violetred';
    const ORCHID2              = 'orchid2';
    const ORCHID               = 'orchid';
    const ORCHID1              = 'orchid1';
    const ORCHID3              = 'orchid3';
    const ORCHID4              = 'orchid4';
    const THISTLE1             = 'thistle1';
    const THISTLE2             = 'thistle2';
    const PLUM1                = 'plum1';
    const PLUM2                = 'plum2';
    const THISTLE              = 'thistle';
    const THISTLE3             = 'thistle3';
    const PLUM                 = 'plum';
    const VIOLET               = 'violet';
    const PLUM3                = 'plum3';
    const THISTLE4             = 'thistle4';
    const FUCHSIA              = 'fuchsia';
    const MAGENTA              = 'magenta';
    const MAGENTA1             = 'magenta1';
    const PLUM4                = 'plum4';
    const MAGENTA2             = 'magenta2';
    const MAGENTA3             = 'magenta3';
    const DARKMAGENTA          = 'darkmagenta';
    const MAGENTA4             = 'magenta4';
    const PURPLE               = 'purple';
    const MEDIUMORCHID         = 'mediumorchid';
    const MEDIUMORCHID1        = 'mediumorchid1';
    const MEDIUMORCHID2        = 'mediumorchid2';
    const MEDIUMORCHID3        = 'mediumorchid3';
    const MEDIUMORCHID4        = 'mediumorchid4';
    const DARKVIOLET           = 'darkviolet';
    const DARKORCHID           = 'darkorchid';
    const DARKORCHID1          = 'darkorchid1';
    const DARKORCHID3          = 'darkorchid3';
    const DARKORCHID2          = 'darkorchid2';
    const DARKORCHID4          = 'darkorchid4';
    const INDIGO               = 'indigo';
    const BLUEVIOLET           = 'blueviolet';
    const PURPLE2              = 'purple2';
    const PURPLE3              = 'purple3';
    const PURPLE4              = 'purple4';
    const PURPLE1              = 'purple1';
    const MEDIUMPURPLE         = 'mediumpurple';
    const MEDIUMPURPLE1        = 'mediumpurple1';
    const MEDIUMPURPLE2        = 'mediumpurple2';
    const MEDIUMPURPLE3        = 'mediumpurple3';
    const MEDIUMPURPLE4        = 'mediumpurple4';
    const DARKSLATEBLUE        = 'darkslateblue';
    const LIGHTSLATEBLUE       = 'lightslateblue';
    const MEDIUMSLATEBLUE      = 'mediumslateblue';
    const SLATEBLUE            = 'slateblue';
    const SLATEBLUE1           = 'slateblue1';
    const SLATEBLUE2           = 'slateblue2';
    const SLATEBLUE3           = 'slateblue3';
    const SLATEBLUE4           = 'slateblue4';
    const GHOSTWHITE           = 'ghostwhite';
    const LAVENDER             = 'lavender';
    const BLUE                 = 'blue';
    const BLUE1                = 'blue1';
    const BLUE2                = 'blue2';
    const BLUE3                = 'blue3';
    const MEDIUMBLUE           = 'mediumblue';
    const BLUE4                = 'blue4';
    const DARKBLUE             = 'darkblue';
    const MIDNIGHTBLUE         = 'midnightblue';
    const NAVY                 = 'navy';
    const NAVYBLUE             = 'navyblue';
    const ROYALBLUE            = 'royalblue';
    const ROYALBLUE1           = 'royalblue1';
    const ROYALBLUE2           = 'royalblue2';
    const ROYALBLUE3           = 'royalblue3';
    const ROYALBLUE4           = 'royalblue4';
    const CORNFLOWERBLUE       = 'cornflowerblue';
    const LIGHTSTEELBLUE       = 'lightsteelblue';
    const LIGHTSTEELBLUE1      = 'lightsteelblue1';
    const LIGHTSTEELBLUE2      = 'lightsteelblue2';
    const LIGHTSTEELBLUE3      = 'lightsteelblue3';
    const LIGHTSTEELBLUE4      = 'lightsteelblue4';
    const SLATEGRAY4           = 'slategray4';
    const SLATEGRAY1           = 'slategray1';
    const SLATEGRAY2           = 'slategray2';
    const SLATEGRAY3           = 'slategray3';
    const LIGHTSLATEGRAY       = 'lightslategray';
    const LIGHTSLATEGREY       = 'lightslategrey';
    const SLATEGRAY            = 'slategray';
    const SLATEGREY            = 'slategrey';
    const DODGERBLUE           = 'dodgerblue';
    const DODGERBLUE1          = 'dodgerblue1';
    const DODGERBLUE2          = 'dodgerblue2';
    const DODGERBLUE4          = 'dodgerblue4';
    const DODGERBLUE3          = 'dodgerblue3';
    const ALICEBLUE            = 'aliceblue';
    const STEELBLUE4           = 'steelblue4';
    const STEELBLUE            = 'steelblue';
    const STEELBLUE1           = 'steelblue1';
    const STEELBLUE2           = 'steelblue2';
    const STEELBLUE3           = 'steelblue3';
    const SKYBLUE4             = 'skyblue4';
    const SKYBLUE1             = 'skyblue1';
    const SKYBLUE2             = 'skyblue2';
    const SKYBLUE3             = 'skyblue3';
    const LIGHTSKYBLUE         = 'lightskyblue';
    const LIGHTSKYBLUE4        = 'lightskyblue4';
    const LIGHTSKYBLUE1        = 'lightskyblue1';
    const LIGHTSKYBLUE2        = 'lightskyblue2';
    const LIGHTSKYBLUE3        = 'lightskyblue3';
    const SKYBLUE              = 'skyblue';
    const LIGHTBLUE3           = 'lightblue3';
    const DEEPSKYBLUE          = 'deepskyblue';
    const DEEPSKYBLUE1         = 'deepskyblue1';
    const DEEPSKYBLUE2         = 'deepskyblue2';
    const DEEPSKYBLUE4         = 'deepskyblue4';
    const DEEPSKYBLUE3         = 'deepskyblue3';
    const LIGHTBLUE1           = 'lightblue1';
    const LIGHTBLUE2           = 'lightblue2';
    const LIGHTBLUE            = 'lightblue';
    const LIGHTBLUE4           = 'lightblue4';
    const POWDERBLUE           = 'powderblue';
    const CADETBLUE1           = 'cadetblue1';
    const CADETBLUE2           = 'cadetblue2';
    const CADETBLUE3           = 'cadetblue3';
    const CADETBLUE4           = 'cadetblue4';
    const TURQUOISE1           = 'turquoise1';
    const TURQUOISE2           = 'turquoise2';
    const TURQUOISE3           = 'turquoise3';
    const TURQUOISE4           = 'turquoise4';
    const CADETBLUE            = 'cadetblue';
    const DARKTURQUOISE        = 'darkturquoise';
    const AZURE                = 'azure';
    const AZURE1               = 'azure1';
    const LIGHTCYAN1           = 'lightcyan1';
    const LIGHTCYAN            = 'lightcyan';
    const AZURE2               = 'azure2';
    const LIGHTCYAN2           = 'lightcyan2';
    const PALETURQUOISE1       = 'paleturquoise1';
    const PALETURQUOISE        = 'paleturquoise';
    const PALETURQUOISE2       = 'paleturquoise2';
    const DARKSLATEGRAY1       = 'darkslategray1';
    const AZURE3               = 'azure3';
    const LIGHTCYAN3           = 'lightcyan3';
    const DARKSLATEGRAY2       = 'darkslategray2';
    const PALETURQUOISE3       = 'paleturquoise3';
    const DARKSLATEGRAY3       = 'darkslategray3';
    const AZURE4               = 'azure4';
    const LIGHTCYAN4           = 'lightcyan4';
    const AQUA                 = 'aqua';
    const CYAN                 = 'cyan';
    const CYAN1                = 'cyan1';
    const PALETURQUOISE4       = 'paleturquoise4';
    const CYAN2                = 'cyan2';
    const DARKSLATEGRAY4       = 'darkslategray4';
    const CYAN3                = 'cyan3';
    const CYAN4                = 'cyan4';
    const DARKCYAN             = 'darkcyan';
    const TEAL                 = 'teal';
    const DARKSLATEGRAY        = 'darkslategray';
    const DARKSLATEGREY        = 'darkslategrey';
    const MEDIUMTURQUOISE      = 'mediumturquoise';
    const LIGHTSEAGREEN        = 'lightseagreen';
    const TURQUOISE            = 'turquoise';
    const AQUAMARINE4          = 'aquamarine4';
    const AQUAMARINE           = 'aquamarine';
    const AQUAMARINE1          = 'aquamarine1';
    const AQUAMARINE2          = 'aquamarine2';
    const AQUAMARINE3          = 'aquamarine3';
    const MEDIUMAQUAMARINE     = 'mediumaquamarine';
    const MEDIUMSPRINGGREEN    = 'mediumspringgreen';
    const MINTCREAM            = 'mintcream';
    const SPRINGGREEN          = 'springgreen';
    const SPRINGGREEN1         = 'springgreen1';
    const SPRINGGREEN2         = 'springgreen2';
    const SPRINGGREEN3         = 'springgreen3';
    const SPRINGGREEN4         = 'springgreen4';
    const MEDIUMSEAGREEN       = 'mediumseagreen';
    const SEAGREEN             = 'seagreen';
    const SEAGREEN3            = 'seagreen3';
    const SEAGREEN1            = 'seagreen1';
    const SEAGREEN4            = 'seagreen4';
    const SEAGREEN2            = 'seagreen2';
    const MEDIUMFORESTGREEN    = 'mediumforestgreen';
    const HONEYDEW             = 'honeydew';
    const HONEYDEW1            = 'honeydew1';
    const HONEYDEW2            = 'honeydew2';
    const DARKSEAGREEN1        = 'darkseagreen1';
    const DARKSEAGREEN2        = 'darkseagreen2';
    const PALEGREEN1           = 'palegreen1';
    const PALEGREEN            = 'palegreen';
    const HONEYDEW3            = 'honeydew3';
    const LIGHTGREEN           = 'lightgreen';
    const PALEGREEN2           = 'palegreen2';
    const DARKSEAGREEN3        = 'darkseagreen3';
    const DARKSEAGREEN         = 'darkseagreen';
    const PALEGREEN3           = 'palegreen3';
    const HONEYDEW4            = 'honeydew4';
    const GREEN1               = 'green1';
    const LIME                 = 'lime';
    const LIMEGREEN            = 'limegreen';
    const DARKSEAGREEN4        = 'darkseagreen4';
    const GREEN2               = 'green2';
    const PALEGREEN4           = 'palegreen4';
    const GREEN3               = 'green3';
    const FORESTGREEN          = 'forestgreen';
    const GREEN4               = 'green4';
    const GREEN                = 'green';
    const DARKGREEN            = 'darkgreen';
    const LAWNGREEN            = 'lawngreen';
    const CHARTREUSE           = 'chartreuse';
    const CHARTREUSE1          = 'chartreuse1';
    const CHARTREUSE2          = 'chartreuse2';
    const CHARTREUSE3          = 'chartreuse3';
    const CHARTREUSE4          = 'chartreuse4';
    const GREENYELLOW          = 'greenyellow';
    const DARKOLIVEGREEN3      = 'darkolivegreen3';
    const DARKOLIVEGREEN1      = 'darkolivegreen1';
    const DARKOLIVEGREEN2      = 'darkolivegreen2';
    const DARKOLIVEGREEN4      = 'darkolivegreen4';
    const DARKOLIVEGREEN       = 'darkolivegreen';
    const OLIVEDRAB            = 'olivedrab';
    const OLIVEDRAB1           = 'olivedrab1';
    const OLIVEDRAB2           = 'olivedrab2';
    const OLIVEDRAB3           = 'olivedrab3';
    const YELLOWGREEN          = 'yellowgreen';
    const OLIVEDRAB4           = 'olivedrab4';
    const IVORY                = 'ivory';
    const IVORY1               = 'ivory1';
    const LIGHTYELLOW          = 'lightyellow';
    const LIGHTYELLOW1         = 'lightyellow1';
    const BEIGE                = 'beige';
    const IVORY2               = 'ivory2';
    const LIGHTGOLDENRODYELLOW = 'lightgoldenrodyellow';
    const LIGHTYELLOW2         = 'lightyellow2';
    const IVORY3               = 'ivory3';
    const LIGHTYELLOW3         = 'lightyellow3';
    const IVORY4               = 'ivory4';
    const LIGHTYELLOW4         = 'lightyellow4';
    const YELLOW               = 'yellow';
    const YELLOW1              = 'yellow1';
    const YELLOW2              = 'yellow2';
    const YELLOW3              = 'yellow3';
    const YELLOW4              = 'yellow4';
    const OLIVE                = 'olive';
    const DARKKHAKI            = 'darkkhaki';
    const KHAKI2               = 'khaki2';
    const LEMONCHIFFON4        = 'lemonchiffon4';
    const KHAKI1               = 'khaki1';
    const KHAKI3               = 'khaki3';
    const KHAKI4               = 'khaki4';
    const PALEGOLDENROD        = 'palegoldenrod';
    const LEMONCHIFFON         = 'lemonchiffon';
    const LEMONCHIFFON1        = 'lemonchiffon1';
    const KHAKI                = 'khaki';
    const LEMONCHIFFON3        = 'lemonchiffon3';
    const LEMONCHIFFON2        = 'lemonchiffon2';
    const MEDIUMGOLDENROD      = 'mediumgoldenrod';
    const CORNSILK4            = 'cornsilk4';
    const GOLD                 = 'gold';
    const GOLD1                = 'gold1';
    const GOLD2                = 'gold2';
    const GOLD3                = 'gold3';
    const GOLD4                = 'gold4';
    const LIGHTGOLDENROD       = 'lightgoldenrod';
    const LIGHTGOLDENROD4      = 'lightgoldenrod4';
    const LIGHTGOLDENROD1      = 'lightgoldenrod1';
    const LIGHTGOLDENROD3      = 'lightgoldenrod3';
    const LIGHTGOLDENROD2      = 'lightgoldenrod2';
    const CORNSILK3            = 'cornsilk3';
    const CORNSILK2            = 'cornsilk2';
    const CORNSILK             = 'cornsilk';
    const CORNSILK1            = 'cornsilk1';
    const GOLDENROD            = 'goldenrod';
    const GOLDENROD1           = 'goldenrod1';
    const GOLDENROD2           = 'goldenrod2';
    const GOLDENROD3           = 'goldenrod3';
    const GOLDENROD4           = 'goldenrod4';
    const DARKGOLDENROD        = 'darkgoldenrod';
    const DARKGOLDENROD1       = 'darkgoldenrod1';
    const DARKGOLDENROD2       = 'darkgoldenrod2';
    const DARKGOLDENROD3       = 'darkgoldenrod3';
    const DARKGOLDENROD4       = 'darkgoldenrod4';
    const FLORALWHITE          = 'floralwhite';
    const WHEAT2               = 'wheat2';
    const OLDLACE              = 'oldlace';
    const WHEAT                = 'wheat';
    const WHEAT1               = 'wheat1';
    const WHEAT3               = 'wheat3';
    const ORANGE               = 'orange';
    const ORANGE1              = 'orange1';
    const ORANGE2              = 'orange2';
    const ORANGE3              = 'orange3';
    const ORANGE4              = 'orange4';
    const WHEAT4               = 'wheat4';
    const MOCCASIN             = 'moccasin';
    const PAPAYAWHIP           = 'papayawhip';
    const NAVAJOWHITE3         = 'navajowhite3';
    const BLANCHEDALMOND       = 'blanchedalmond';
    const NAVAJOWHITE          = 'navajowhite';
    const NAVAJOWHITE1         = 'navajowhite1';
    const NAVAJOWHITE2         = 'navajowhite2';
    const NAVAJOWHITE4         = 'navajowhite4';
    const ANTIQUEWHITE4        = 'antiquewhite4';
    const ANTIQUEWHITE         = 'antiquewhite';
    const TAN                  = 'tan';
    const BISQUE4              = 'bisque4';
    const BURLYWOOD            = 'burlywood';
    const ANTIQUEWHITE2        = 'antiquewhite2';
    const BURLYWOOD1           = 'burlywood1';
    const BURLYWOOD3           = 'burlywood3';
    const BURLYWOOD2           = 'burlywood2';
    const ANTIQUEWHITE1        = 'antiquewhite1';
    const BURLYWOOD4           = 'burlywood4';
    const ANTIQUEWHITE3        = 'antiquewhite3';
    const DARKORANGE           = 'darkorange';
    const BISQUE2              = 'bisque2';
    const BISQUE               = 'bisque';
    const BISQUE1              = 'bisque1';
    const BISQUE3              = 'bisque3';
    const DARKORANGE1          = 'darkorange1';
    const LINEN                = 'linen';
    const DARKORANGE2          = 'darkorange2';
    const DARKORANGE3          = 'darkorange3';
    const DARKORANGE4          = 'darkorange4';
    const PERU                 = 'peru';
    const TAN1                 = 'tan1';
    const TAN2                 = 'tan2';
    const TAN3                 = 'tan3';
    const TAN4                 = 'tan4';
    const PEACHPUFF            = 'peachpuff';
    const PEACHPUFF1           = 'peachpuff1';
    const PEACHPUFF4           = 'peachpuff4';
    const PEACHPUFF2           = 'peachpuff2';
    const PEACHPUFF3           = 'peachpuff3';
    const SANDYBROWN           = 'sandybrown';
    const SEASHELL4            = 'seashell4';
    const SEASHELL2            = 'seashell2';
    const SEASHELL3            = 'seashell3';
    const CHOCOLATE            = 'chocolate';
    const CHOCOLATE1           = 'chocolate1';
    const CHOCOLATE2           = 'chocolate2';
    const CHOCOLATE3           = 'chocolate3';
    const CHOCOLATE4           = 'chocolate4';
    const SADDLEBROWN          = 'saddlebrown';
    const SEASHELL             = 'seashell';
    const SEASHELL1            = 'seashell1';
    const SIENNA4              = 'sienna4';
    const SIENNA               = 'sienna';
    const SIENNA1              = 'sienna1';
    const SIENNA2              = 'sienna2';
    const SIENNA3              = 'sienna3';
    const LIGHTSALMON3         = 'lightsalmon3';
    const LIGHTSALMON          = 'lightsalmon';
    const LIGHTSALMON1         = 'lightsalmon1';
    const LIGHTSALMON4         = 'lightsalmon4';
    const LIGHTSALMON2         = 'lightsalmon2';
    const CORAL                = 'coral';
    const ORANGERED            = 'orangered';
    const ORANGERED1           = 'orangered1';
    const ORANGERED2           = 'orangered2';
    const ORANGERED3           = 'orangered3';
    const ORANGERED4           = 'orangered4';
    const DARKSALMON           = 'darksalmon';
    const SALMON1              = 'salmon1';
    const SALMON2              = 'salmon2';
    const SALMON3              = 'salmon3';
    const SALMON4              = 'salmon4';
    const CORAL1               = 'coral1';
    const CORAL2               = 'coral2';
    const CORAL3               = 'coral3';
    const CORAL4               = 'coral4';
    const TOMATO4              = 'tomato4';
    const TOMATO               = 'tomato';
    const TOMATO1              = 'tomato1';
    const TOMATO2              = 'tomato2';
    const TOMATO3              = 'tomato3';
    const MISTYROSE4           = 'mistyrose4';
    const MISTYROSE2           = 'mistyrose2';
    const MISTYROSE            = 'mistyrose';
    const MISTYROSE1           = 'mistyrose1';
    const SALMON               = 'salmon';
    const MISTYROSE3           = 'mistyrose3';
    const WHITE                = 'white';
    const GRAY100              = 'gray100';
    const GREY100              = 'grey100';
    const GRAY99               = 'gray99';
    const GREY99               = 'grey99';
    const GRAY98               = 'gray98';
    const GREY98               = 'grey98';
    const GRAY97               = 'gray97';
    const GREY97               = 'grey97';
    const GRAY96               = 'gray96';
    const GREY96               = 'grey96';
    const WHITESMOKE           = 'whitesmoke';
    const GRAY95               = 'gray95';
    const GREY95               = 'grey95';
    const GRAY94               = 'gray94';
    const GREY94               = 'grey94';
    const GRAY93               = 'gray93';
    const GREY93               = 'grey93';
    const GRAY92               = 'gray92';
    const GREY92               = 'grey92';
    const GRAY91               = 'gray91';
    const GREY91               = 'grey91';
    const GRAY90               = 'gray90';
    const GREY90               = 'grey90';
    const GRAY89               = 'gray89';
    const GREY89               = 'grey89';
    const GRAY88               = 'gray88';
    const GREY88               = 'grey88';
    const GRAY87               = 'gray87';
    const GREY87               = 'grey87';
    const GAINSBORO            = 'gainsboro';
    const GRAY86               = 'gray86';
    const GREY86               = 'grey86';
    const GRAY85               = 'gray85';
    const GREY85               = 'grey85';
    const GRAY84               = 'gray84';
    const GREY84               = 'grey84';
    const GRAY83               = 'gray83';
    const GREY83               = 'grey83';
    const LIGHTGRAY            = 'lightgray';
    const LIGHTGREY            = 'lightgrey';
    const GRAY82               = 'gray82';
    const GREY82               = 'grey82';
    const GRAY81               = 'gray81';
    const GREY81               = 'grey81';
    const GRAY80               = 'gray80';
    const GREY80               = 'grey80';
    const GRAY79               = 'gray79';
    const GREY79               = 'grey79';
    const GRAY78               = 'gray78';
    const GREY78               = 'grey78';
    const GRAY77               = 'gray77';
    const GREY77               = 'grey77';
    const GRAY76               = 'gray76';
    const GREY76               = 'grey76';
    const SILVER               = 'silver';
    const GRAY75               = 'gray75';
    const GREY75               = 'grey75';
    const GRAY74               = 'gray74';
    const GREY74               = 'grey74';
    const GRAY73               = 'gray73';
    const GREY73               = 'grey73';
    const GRAY72               = 'gray72';
    const GREY72               = 'grey72';
    const GRAY71               = 'gray71';
    const GREY71               = 'grey71';
    const GRAY70               = 'gray70';
    const GREY70               = 'grey70';
    const GRAY69               = 'gray69';
    const GREY69               = 'grey69';
    const GRAY68               = 'gray68';
    const GREY68               = 'grey68';
    const GRAY67               = 'gray67';
    const GREY67               = 'grey67';
    const DARKGRAY             = 'darkgray';
    const DARKGREY             = 'darkgrey';
    const GRAY66               = 'gray66';
    const GREY66               = 'grey66';
    const GRAY65               = 'gray65';
    const GREY65               = 'grey65';
    const GRAY64               = 'gray64';
    const GREY64               = 'grey64';
    const GRAY63               = 'gray63';
    const GREY63               = 'grey63';
    const GRAY62               = 'gray62';
    const GREY62               = 'grey62';
    const GRAY61               = 'gray61';
    const GREY61               = 'grey61';
    const GRAY60               = 'gray60';
    const GREY60               = 'grey60';
    const GRAY59               = 'gray59';
    const GREY59               = 'grey59';
    const GRAY58               = 'gray58';
    const GREY58               = 'grey58';
    const GRAY57               = 'gray57';
    const GREY57               = 'grey57';
    const GRAY56               = 'gray56';
    const GREY56               = 'grey56';
    const GRAY55               = 'gray55';
    const GREY55               = 'grey55';
    const GRAY54               = 'gray54';
    const GREY54               = 'grey54';
    const GRAY53               = 'gray53';
    const GREY53               = 'grey53';
    const GRAY52               = 'gray52';
    const GREY52               = 'grey52';
    const GRAY51               = 'gray51';
    const GREY51               = 'grey51';
    const FRACTAL              = 'fractal';
    const GRAY50               = 'gray50';
    const GREY50               = 'grey50';
    const GRAY                 = 'gray';
    const GREY                 = 'grey';
    const GRAY49               = 'gray49';
    const GREY49               = 'grey49';
    const GRAY48               = 'gray48';
    const GREY48               = 'grey48';
    const GRAY47               = 'gray47';
    const GREY47               = 'grey47';
    const GRAY46               = 'gray46';
    const GREY46               = 'grey46';
    const GRAY45               = 'gray45';
    const GREY45               = 'grey45';
    const GRAY44               = 'gray44';
    const GREY44               = 'grey44';
    const GRAY43               = 'gray43';
    const GREY43               = 'grey43';
    const GRAY42               = 'gray42';
    const GREY42               = 'grey42';
    const DIMGRAY              = 'dimgray';
    const DIMGREY              = 'dimgrey';
    const GRAY41               = 'gray41';
    const GREY41               = 'grey41';
    const GRAY40               = 'gray40';
    const GREY40               = 'grey40';
    const GRAY39               = 'gray39';
    const GREY39               = 'grey39';
    const GRAY38               = 'gray38';
    const GREY38               = 'grey38';
    const GRAY37               = 'gray37';
    const GREY37               = 'grey37';
    const GRAY36               = 'gray36';
    const GREY36               = 'grey36';
    const GRAY35               = 'gray35';
    const GREY35               = 'grey35';
    const GRAY34               = 'gray34';
    const GREY34               = 'grey34';
    const GRAY33               = 'gray33';
    const GREY33               = 'grey33';
    const GRAY32               = 'gray32';
    const GREY32               = 'grey32';
    const GRAY31               = 'gray31';
    const GREY31               = 'grey31';
    const GRAY30               = 'gray30';
    const GREY30               = 'grey30';
    const GRAY29               = 'gray29';
    const GREY29               = 'grey29';
    const GRAY28               = 'gray28';
    const GREY28               = 'grey28';
    const GRAY27               = 'gray27';
    const GREY27               = 'grey27';
    const GRAY26               = 'gray26';
    const GREY26               = 'grey26';
    const GRAY25               = 'gray25';
    const GREY25               = 'grey25';
    const GRAY24               = 'gray24';
    const GREY24               = 'grey24';
    const GRAY23               = 'gray23';
    const GREY23               = 'grey23';
    const GRAY22               = 'gray22';
    const GREY22               = 'grey22';
    const GRAY21               = 'gray21';
    const GREY21               = 'grey21';
    const GRAY20               = 'gray20';
    const GREY20               = 'grey20';
    const GRAY19               = 'gray19';
    const GREY19               = 'grey19';
    const GRAY18               = 'gray18';
    const GREY18               = 'grey18';
    const GRAY17               = 'gray17';
    const GREY17               = 'grey17';
    const GRAY16               = 'gray16';
    const GREY16               = 'grey16';
    const GRAY15               = 'gray15';
    const GREY15               = 'grey15';
    const GRAY14               = 'gray14';
    const GREY14               = 'grey14';
    const GRAY13               = 'gray13';
    const GREY13               = 'grey13';
    const GRAY12               = 'gray12';
    const GREY12               = 'grey12';
    const GRAY11               = 'gray11';
    const GREY11               = 'grey11';
    const GRAY10               = 'gray10';
    const GREY10               = 'grey10';
    const GRAY9                = 'gray9';
    const GREY9                = 'grey9';
    const GRAY8                = 'gray8';
    const GREY8                = 'grey8';
    const GRAY7                = 'gray7';
    const GREY7                = 'grey7';
    const GRAY6                = 'gray6';
    const GREY6                = 'grey6';
    const GRAY5                = 'gray5';
    const GREY5                = 'grey5';
    const GRAY4                = 'gray4';
    const GREY4                = 'grey4';
    const GRAY3                = 'gray3';
    const GREY3                = 'grey3';
    const GRAY2                = 'gray2';
    const GREY2                = 'grey2';
    const GRAY1                = 'gray1';
    const GREY1                = 'grey1';
    const BLACK                = 'black';
    const GRAY0                = 'gray0';
    const GREY0                = 'grey0';
    const OPAQUE               = 'opaque';
    const NONE                 = 'none';
    const TRANSPARENT          = 'transparent';

    use ColorTrait;
}
